Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim.impl
Class PostalAddressTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.rim.impl.PostalAddressTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, PostalAddressType

    public class PostalAddressTypeImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements PostalAddressType

An implementation of the model object 'Postal Address Type'.

The following features are implemented:

- `City`
- `Country`
- `Postal Code`
- `State Or Province`
- `Street`
- `Street Number`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`java.lang.String` | `getCity()`
`java.lang.String` | `getCountry()`
`java.lang.String` | `getPostalCode()`
`java.lang.String` | `getStateOrProvince()`
`java.lang.String` | `getStreet()`
`java.lang.String` | `getStreetNumber()`
`void` | `setCity(java.lang.String newCity)`
`void` | `setCountry(java.lang.String newCountry)`
`void` | `setPostalCode(java.lang.String newPostalCode)`
`void` | `setStateOrProvince(java.lang.String newStateOrProvince)`
`void` | `setStreet(java.lang.String newStreet)`
`void` | `setStreetNumber(java.lang.String newStreetNumber)`
`java.lang.String` | `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getCity

    public java.lang.String getCity()

  Specified by:
    `getCity` in interface `PostalAddressType`
  Returns:
    the value of the 'City' attribute.
  See Also:
    `PostalAddressType.setCity(String)`, `RimPackage.getPostalAddressType_City()`

### setCity

    public void setCity(java.lang.String newCity)

  Specified by:
    `setCity` in interface `PostalAddressType`
  Parameters:
    `newCity` - the new value of the 'City' attribute.
  See Also:
    `PostalAddressType.getCity()`

### getCountry

    public java.lang.String getCountry()

  Specified by:
    `getCountry` in interface `PostalAddressType`
  Returns:
    the value of the 'Country' attribute.
  See Also:
    `PostalAddressType.setCountry(String)`, `RimPackage.getPostalAddressType_Country()`

### setCountry

    public void setCountry(java.lang.String newCountry)

  Specified by:
    `setCountry` in interface `PostalAddressType`
  Parameters:
    `newCountry` - the new value of the 'Country' attribute.
  See Also:
    `PostalAddressType.getCountry()`

### getPostalCode

    public java.lang.String getPostalCode()

  Specified by:
    `getPostalCode` in interface `PostalAddressType`
  Returns:
    the value of the 'Postal Code' attribute.
  See Also:
    `PostalAddressType.setPostalCode(String)`, `RimPackage.getPostalAddressType_PostalCode()`

### setPostalCode

    public void setPostalCode(java.lang.String newPostalCode)

  Specified by:
    `setPostalCode` in interface `PostalAddressType`
  Parameters:
    `newPostalCode` - the new value of the 'Postal Code' attribute.
  See Also:
    `PostalAddressType.getPostalCode()`

### getStateOrProvince

    public java.lang.String getStateOrProvince()

  Specified by:
    `getStateOrProvince` in interface `PostalAddressType`
  Returns:
    the value of the 'State Or Province' attribute.
  See Also:
    `PostalAddressType.setStateOrProvince(String)`, `RimPackage.getPostalAddressType_StateOrProvince()`

### setStateOrProvince

    public void setStateOrProvince(java.lang.String newStateOrProvince)

  Specified by:
    `setStateOrProvince` in interface `PostalAddressType`
  Parameters:
    `newStateOrProvince` - the new value of the 'State Or Province' attribute.
  See Also:
    `PostalAddressType.getStateOrProvince()`

### getStreet

    public java.lang.String getStreet()

  Specified by:
    `getStreet` in interface `PostalAddressType`
  Returns:
    the value of the 'Street' attribute.
  See Also:
    `PostalAddressType.setStreet(String)`, `RimPackage.getPostalAddressType_Street()`

### setStreet

    public void setStreet(java.lang.String newStreet)

  Specified by:
    `setStreet` in interface `PostalAddressType`
  Parameters:
    `newStreet` - the new value of the 'Street' attribute.
  See Also:
    `PostalAddressType.getStreet()`

### getStreetNumber

    public java.lang.String getStreetNumber()

  Specified by:
    `getStreetNumber` in interface `PostalAddressType`
  Returns:
    the value of the 'Street Number' attribute.
  See Also:
    `PostalAddressType.setStreetNumber(String)`, `RimPackage.getPostalAddressType_StreetNumber()`

### setStreetNumber

    public void setStreetNumber(java.lang.String newStreetNumber)

  Specified by:
    `setStreetNumber` in interface `PostalAddressType`
  Parameters:
    `newStreetNumber` - the new value of the 'Street Number' attribute.
  See Also:
    `PostalAddressType.getStreetNumber()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD